# DataExchange
TKVRML
Vrml

# Vrml_PointSet Class Reference

defines a PointSet node of VRML specifying geometry shapes.

`#include <Vrml_PointSet.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_PointSet (const Standard_Integer aStartIndex=0, const Standard_Integer aNumPoints=-1)
Standard_EXPORT void | SetStartIndex (const Standard_Integer aStartIndex)
Standard_EXPORT Standard_Integer | StartIndex () const
Standard_EXPORT void | SetNumPoints (const Standard_Integer aNumPoints)
Standard_EXPORT Standard_Integer | NumPoints () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Standard_Integer | myStartIndex
Standard_Integer | myNumPoints

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_PointSet::Vrml_PointSet | ( | const Standard_Integer | aStartIndex = `0`,
|  | const Standard_Integer | aNumPoints = `-1`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Vrml_PointSet::NumPoints | ( |  | ) | const

void Vrml_PointSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_PointSet::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_PointSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_PointSet::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_PointSet::SetNumPoints | ( | const Standard_Integer | aNumPoints | ) |

Standard_EXPORT void Vrml_PointSet::SetStartIndex | ( | const Standard_Integer | aStartIndex | ) |

Standard_EXPORT Standard_Integer Vrml_PointSet::StartIndex | ( |  | ) | const

## Field Documentation

Standard_Integer Vrml_PointSet::myNumPoints `[private]`

Standard_Integer Vrml_PointSet::myStartIndex `[private]`

The documentation for this class was generated from the following file:

- Vrml_PointSet.hxx